Samouczek: Zainstaluj pakiety .tar.gz i .tar.bz2

Na początku, gdy zaczynamy w Linuksie i szukamy programu, to normalne, że znajdujemy plik .deb lub .rpm iw wielu przypadkach znajdujemy programy z rozszerzeniem .tar.gz y .tar.bz2, te pliki są skompresowane i zwykle zawierają oddzielne instrukcje dotyczące ich instalacji.

Instalacja tych dwóch typów pakietów przebiega dokładnie tak samo

Najpierw wchodzimy do folderu, w którym mamy plik, jeśli folder zawiera kilka słów to musimy je umieścić z "" lub jeśli nie szuka folderów z każdym słowem

folder cd, gdzie plik jest cd "folder, w którym znajduje się plik"

Wewnątrz rozpakowujemy plik

tar -zxvf nazwa_pliku.tar.gz tar -jxvf nazwa_pliku.tar.bz2

Konfigurujemy

. / Konfiguracja

Robimy (kompilujemy)

robić

Teraz zainstaluj

make install

Czasami może to dać nam błąd w ./configure, w takim przypadku nie wymaga kompilacji i przy wykonywaniu mamy dużo, w terminalu, który robimy

Podobne artykuł:
Polecenia umożliwiające poznanie systemu (identyfikacja sprzętu i niektórych konfiguracji oprogramowania)
Nazwa programu

Lub tworzymy program uruchamiający.


Treść artykułu jest zgodna z naszymi zasadami etyka redakcyjna. Aby zgłosić błąd, kliknij tutaj.

102 komentarzy, zostaw swoje

Zostaw swój komentarz

Twój adres e-mail nie zostanie opublikowany. Wymagane pola są oznaczone *

*

*

  1. Odpowiedzialny za dane: Miguel Ángel Gatón
  2. Cel danych: kontrola spamu, zarządzanie komentarzami.
  3. Legitymacja: Twoja zgoda
  4. Przekazywanie danych: Dane nie będą przekazywane stronom trzecim, z wyjątkiem obowiązku prawnego.
  5. Przechowywanie danych: baza danych hostowana przez Occentus Networks (UE)
  6. Prawa: w dowolnym momencie możesz ograniczyć, odzyskać i usunąć swoje dane.

  1.   moscosov powiedział

    wena, +1

  2.   właściwy powiedział

    właściwie właściwą rzeczą do rozpakowania jest
    tar -zxvf plik.tar.gz
    tar -jxvf plik.tar.bz2

    W przypadku konfiguracji istnieje nieskończona liczba opcji (w zależności od oprogramowania) dostosowywania instalacji

    ./configure –help

    Dzięki temu podczas instalowania programu zobaczą różne dodatkowe opcje.
    Nie wszystkie dystrybucje używają / usr / local do instalowania programów, o czym również należy wspomnieć.

    Zapomniałeś wspomnieć, jak odinstalować program zainstalowany w ten sposób. Oprócz definiowania optymalizacji dla każdej architektury.

    W każdym razie dobra inicjatywa, ale przegapiłeś wiele ... zbyt wiele informacji do udostępnienia.

    pozdrowienia

    1.    Odwaga powiedział

      To jest coś, z czego prawie nigdy nie korzystałem, większość programów, które znajduję w oficjalnych repozytoriach.

      Prawda o dekompresji jest taka, że ​​zawsze było to dla mnie dobre.

      Napisałem go, ponieważ przeszkadza mi to wszystkim, którzy mówią: „kiedy rozpakujesz, przeczytaj instrukcję”.

      W każdym razie, widzę plik .tar.gz jako ostateczność, jeśli nie ma go w pakiecie deb / rpm lub w repozytoriach

      1.    właściwy powiedział

        „Prawda jest taka, że ​​dekompresja zawsze była dla mnie dobra”.
        zgadzamy się, nie zaprzeczam, ale to nie znaczy, że jest to słuszne. Nie wszystkie dystrybucje dekompresują się „inteligentnie”, niektóre muszą dodawać więcej parametrów.

        1.    Odwaga powiedział

          Człowieku, to nie moja wina, że ​​istnieją subnormalne dystrybucje hahahaha

          1.    właściwy powiedział

            KISS stary ... KISS

          2.    Odwaga powiedział

            Człowieku, KISS nie jest kretynem, już to wiesz ze Slackware hahahaha

          3.    właściwy powiedział

            xD
            Dlatego ci to mówię

            Proste! = Łatwe.

  3.   Yoyo powiedział

    +1 za właściwe

    1.    Pepe powiedział

      Jeden dupek więcej niż drugi. Te „geniusze” są poza tematem.

  4.   Lithos523 powiedział

    Jeśli zmienisz "make install" na "checkinstall" (możesz go zainstalować za pomocą aptitude, jest w repozytoriach), zainstaluje program, ale także:
    -Utwórz plik .deb, aby móc go zainstalować w przyszłości
    -Zainstalowany program pojawi się w Synaptic, więc możesz go łatwo odinstalować

    1.    Odwaga powiedział

      Użytkownicy Arch mają to do czynienia z Aptitude ...

  5.   jelpasajero powiedział

    Przepraszam za moją ignorancję, ale czy obca aplikacja rozwiązuje wszystkie te problemy?

    1.    właściwy powiedział

      nie, ponieważ alien działa ze skompilowanymi pakietami, a tar.gz lub tar.bz2 to skompresowane pliki z kodem źródłowym.

  6.   pandev92 powiedział

    Nie da się tego zrobić samouczka, przez większość czasu przynajmniej pakiety qt są kompilowane na inne, jeszcze dziwniejsze sposoby.

    1.    hypersayan_x powiedział

      Dokładnie chciałem powiedzieć to samo.
      Te, które używają qmake z Qt, wyglądają mniej więcej tak:


      cd CarpetaPrograma
      qmake
      make
      sudo make install

      I dodaję kolejny przypadek, czyli cmakes:


      cd CarpetaPrograma
      mkdir build
      cd build
      cmake ..
      make
      sudo make install

      Lub są inni, którzy po prostu muszą uruchomić make && sudo make install.
      To najczęstsze przypadki, ale wariantów jest znacznie więcej: s

      1.    mcder3 powiedział

        Czasami niektóre aplikacje utworzone w QT nie dostarczają pliku makefile. Czas więc stworzyć je za pomocą następującego wiersza:

        qmake -makefile

        pozdrowienia

  7.   jelpasajero powiedział

    Zobaczmy, czy mogę wyjaśnić, kiedy muszę użyć tar.gz lub tar.bz2, wszystko, co robię, aby wygenerować plik .deb lub all.deb za pomocą alien, to umieścić sudo alien install + nazwę pakietu. Czy to nie to samo, co kompilacja?

    1.    hypersayan_x powiedział

      Nie, kompilacja polega na przekształceniu kodu źródłowego programu w kod maszynowy.
      Natomiast to, co robisz z alienem, to przepakowywanie, czyli konwertowanie formatu pakietu jednej dystrybucji na format pakietu innej dystrybucji.
      Aby to uprościć, wygląda to tak, jakbyś miał plik skompresowany w RAR i chciał przekonwertować go na ZIP, zdekompresowałbyś plik w RAR i skompresował go ponownie w ZIP, to właśnie robi alien.

  8.   StuMx powiedział

    Kompilacja odbywa się w make, a nie w konfiguracji. Plik konfiguracyjny to skrypt, który weryfikuje zgodność systemu ze wszystkimi zależnościami w celu skompilowania programu, a następnie generuje plik make (który definiuje sposób kompilacji) zgodnie z naszym systemem.

    1.    Odwaga powiedział

      Teraz go usuwam, ponieważ ten artykuł jest już dawno od kiedy napisałem go w kwietniu lub maju. Nie sprawdziłem tego prawie usuwając jakieś złe słowo nic więcej

  9.   jelpasajero powiedział

    Witam:
    Myślę, że nie tłumaczę się dobrze. Alien nie tylko przekształca pakiet rpm w plik .deb, jeśli weźmiesz kod źródłowy programu, czy to gz, czy bz2, przekształca go w samoczynnie instalujący się plik deb. Stąd moje pytanie. Używam Linuksa przez krótki czas, proszę o cierpliwość.

  10.   struktura powiedział

    Przepraszam za moją ignorancję, ale te kroki są również ważne w Czakrze, czy coś się zmienia ???

    1.    KZKG ^ Gaara powiedział

      W ogóle żadnego mężczyzny 😀
      Jako takie, te kroki są prawie standardem we wszystkich dystrybucjach, ale nie ma 100% pewności, że są to ZAWSZE kroki, które należy wykonać. Dlatego radzę zawsze przeczytać plik instrukcji (zwykle README), zanim cokolwiek zrobisz.

    2.    właściwy powiedział

      jak mówi @ KZKG ^ Gaara, nie zawsze tak jest, jest to standard, który będzie działał dla wszystkich dystrybucji, o ile program jest napisany w C / C ++

  11.   Carlos-Xfce powiedział

    Kiedy znów będę miał do czynienia z .tar.gz tych, wrócę do tego artykułu. Jakże brzydzę się takimi paczkami!

    1.    Odwaga powiedział

      Cholera, jesteś na tyle dorosły, aby zainstalować te pakiety HAHAHAHAHA

  12.   VulkHead powiedział

    Proszę wybaczyć mój brak wiedzy, ta metoda instalacji działa również dla Debiana. Ponieważ próbuję i próbuję, a to daje mi błąd.

  13.   Laura Tejera powiedział

    Dlatego nikt nie używa Linuksa, zrobienie czegoś głupiego to sztuczka

    1.    elav powiedział

      Jakie to ciekawe, niektóre z tych głupich rzeczy, o których wspomniałeś, "super utalentowani" użytkownicy Windowsa i OS X nie potrafią ich robić lub się ich boją.

      1.    Laura Tejera powiedział

        Zabawne jest to, że ludzie tacy jak ty mogą śledzić taki zamknięty system operacyjny.

        1.    KZKG ^ Gaara powiedział

          Czy unikałeś odpowiedzi na pytanie? … Czy użytkownicy systemu Windows lub geniusze OS X mogą robić ze swoim systemem tyle rzeczy, ile pokazujemy na tej stronie? 🙂

          Nawiasem mówiąc, używasz Ubuntu, więc ... o czym mówimy?

          1.    Laura Tejera powiedział

            kontynuuj przeciętną mangę

            1.    KZKG ^ Gaara powiedział

              Czy jesteśmy przeciętni? … Uff… LOL!


      2.    Pepe powiedział

        Mamy rok 2015!
        Myślę, że nie trzeba tracić czasu na naukę pracy z konsoli.
        Dlaczego nie użyć do tego zautomatyzowanych aplikacji?
        W każdym razie ci, którzy „lubią” pisać polecenia z konsoli, niech robią to dalej, ale równolegle konieczne byłoby posiadanie tych samych automatycznych poleceń. Nie proszę cię o wysłanie rakiety na księżyc.

    2.    Santiago Luis Bazan powiedział

      Powodem korzystania z wolnego oprogramowania jest etyka moralna. Nigdy nie pozwól, aby komukolwiek odmawiano wolności człowieka

      1.    Pepe powiedział

        Prawda jest taka, że ​​sanata „wolności” w programach ma mnie dość. Czy nie mogliby przestać wychwalać nieistniejącego boga i być trochę bardziej pokorni?

    3.    Pepe powiedział

      Masz rację Laura, ci faceci ze swoim Linuksem komplikują to do kości. W put0 windows sprawy są łatwiejsze. Nie poniżam Linuksa, ale nie może być tak, że aby zainstalować jakiekolwiek pel0tudes, spędzasz wiele godzin na badaniu, jak działa tar i wszystkie meresundy, tak że pod koniec dnia utkniesz z tym "początkującym Linuksem ...".

      Zamierzam używać stabilnego systemu operacyjnego, ale nie chcę godzinami przerywać mojej produkcji, ponieważ muszę pracować, nie chcę zostać „absolwentem Linuksa”.

  14.   Thanatos powiedział

    Zawsze czegoś brakuje ... kiedy podam ./configure otrzymuję: configure: błąd: Twoje narzędzie intltool jest za stare. Potrzebujesz programu Intltool 0.35.0 lub nowszego.

    Później instrukcja make zwraca: Nie określono celu i nie znaleziono pliku makefile. Wysoki.

    make install: Nie ma reguły tworzenia celu `install

    Jestem nowicjuszem i dobrze jest przeprowadzić badania, aby się nauczyć, ale KURWA, czy nie możesz tego wyjaśnić kolorowymi kamyczkami dla tych z nas, którzy są nowicjuszami w Linuksie?

    1.    Ponchu powiedział

      Thanatos Miałem podobny problem i podzielam swój wynik:
      (Przede wszystkim, aby wyjaśnić, że jestem również neofitą w świecie Linuksa, a moje przygody w tym kontekście z „smakiem” (dystrybucja) do Ubuntu to tydzień).
      Zakładając, że wchodzi on do mojego folderu „Pobrane” za pomocą polecenia „cd”, gdzie w terminalu lub konsoli znajdował się mój pakiet programu „SoulSeek” z końcówką „.tgz”:
      „./Configure” dał mi błąd, że plik lub katalog nie istnieje
      "Make" wyrzucił ten sam błąd co ty ... więc nie wykonałem polecenia "sudo make install" (sudo jest spowodowane tym, że Ubuntu wymaga "Super User i jego hasła", aby uruchomić to polecenie, innymi słowy przeprowadzić instalację) .
      Badając poprzednio rozpakowany plik, zdałem sobie sprawę, że coś, co może ci się przydarzyć, a mianowicie, że rozpakowany plik był typu „plik wykonywalny” (prawy przycisk myszy - właściwości) i wystarczyły 2 kliknięcia, aby go wykonać.
      Twój problem w «./configure» może zostać rozwiązany przez aktualizację pakietów lub repozytoriów (te terminy trochę mnie mylą) zainstalowanych w twojej Distro, ponieważ mówi ci, że «intItooI» jest stare i potrzebujesz nowszego i myślę że może ten pakiet jest tym, który kompiluje się w twojej dystrybucji. W Ubuntu robisz to w tym samym terminalu, wpisując „sudo apt-get update” i aktualizując wszystkie pakiety w systemie.
      Mam nadzieję, że byłem pomocny.

    2.    Pepe powiedział

      Tak jak powiedziałem Laurze, ta sprawa z Linuksem zajmuje dużo czasu. Dał mi ten sam komunikat o błędzie, co twój i jestem jak duch Canterville z jednego miejsca do drugiego i zupełnie nic.

      Mój szef powiedział mi: „Masz 2 dni na znalezienie rozwiązania, jeśli nie, wracamy do okien”.

  15.   Jonathan powiedział

    dzięki

  16.   Ivan powiedział

    cześć mam ten sam problem, który chcę zainstalować skype 4.0. W moim pclinuxOS ściągnąłem tar, gz2 i zdekompresowałem i dopóki tam nie dostałem, kiedy to zrobię ./configure mówi mi, że plik nie istnieje .. gdzie się zgubiłem czy co? powiedz mi, w pclinuxOS (ostatnia wydana wersja) jest zainstalowany skype, ale jest to wersja 2.2 i chcę zainstalować 4,
    Czy jest jakaś sztuczka, którą muszę zrobić, aby w końcu to zainstalować? coś w synapsie, czego nie wiem ???
    Jestem nowy w tym systemie, próbowałem wcześniej innych dystrybucji i jak dotąd wszystko jest w porządku, z wyjątkiem tego.

    pozdrowienia

    1.    Pepe powiedział

      Czy to ja, czy chyba nikt nie zna tych pytań.

    2.    F7eo powiedział

      Cześć, minęło dużo czasu od twojego pytania.

      Zalecam pobranie najnowszej wersji Skype'a dla Windows (R)
      i że używasz Wine do uruchomienia go w swojej dystrybucji GNU-Linux.

  17.   z powiedział

    Witaj! Mam ten sam problem: pobrałem najnowszą wersję oprogramowania centrum z rozszerzeniem tar.gz i kiedy dotarłem do instancji "./configure" wyskoczył błąd jak w "make". CO TO JEST"?? DZIĘKI!! Poza tym centrum oprogramowania zablokowało możliwość instalacji !!!

  18.   Carlos Rivera powiedział

    Dziękuję, bardzo mi to pomogło !!!!

  19.   michael powiedział

    jak stworzyć launcher

  20.   Angi powiedział

    Jedno pytanie, czy możesz sprawdzić zależności pliku tar.gz przed uruchomieniem ./configure ???

  21.   joseluis powiedział

    Jestem nowy w Linuksie, wydaje mi się, że bardzo trudno jest zainstalować tablety tar gz gz2 i jeśli dostaję deb, brakuje mu zależności, a przy obrotach tak samo, jeśli jest to i586, i686 lub i386, a najgorsze jest to, że nie mam internetu w domu. Widząc tyle komentarzy, które zaprzeczają jednemu z nich, bardziej zdziwisz się.

  22.   Gabriel Yamamoto powiedział

    dobra informacja, ale niektóre pakiety * .tar.bz2 są już skompilowane i aby je zainstalować, wystarczy je rozpakować w dowolnym folderze (najlepiej / opt, aby był dostępny dla wszystkich użytkowników) i uzyskać bezpośredni dostęp do pliku binarnego w / usr / local / bin

  23.   Gonzalo powiedział

    Bardzo dobre wyjaśnienie, jak używać plików tar.gz. Dziękuję bardzo za informacje. Pozdrowienia dla całego zespołu

  24.   juancuyo powiedział

    Na mnie to nie działa
    cd / home / ju / downloads / icecat-24.0 ——-> Odpowiada mi
    bash: cd: home / ju / downloads / icecat-24.0: plik lub katalog nie istnieje
    Co ja robię źle??? System operacyjny to Voyager 14.04 LTS (xubuntu) Xfce desktop Gdebi nie ma w menu zawartości ani nie są synaptyczne, ale są w menu Start, nawet jeśli je otworzysz, nie rozpoznają folderów, to tak, jakby ich nie było. Rozpakowałem go w tym samym folderze pobierania. Czy zostanie rozpakowany nieprawidłowo ????

  25.   Claudio powiedział

    Ten samouczek działa również dla .tgz?

    1.    joakoej powiedział

      Nie, .tgz to format używany przez Slackware i są one już skompilowane, niezależnie od tego, czy je ściągnąłeś, czy skompilowałeś

    2.    joakoej powiedział

      Aby go zainstalować, musisz użyć „nazwy pakietu” installpkg.

  26.   asdf powiedział

    Przepraszam, ale to nie rozwiązuje problemu zbytnio dla mnie, kiedy mówisz ./configure i konfigurujemy to, powinieneś podać więcej, prawda? jeśli po prostu wstawię ./configure, powie mi
    bash: ./configure: Plik lub katalog nie istnieje

    wtedy mówisz „robimy”
    Kod:
    Spraw, żeby
    Mój wynik:
    make: *** Nie określono celu ani pliku makefile. Wysoki.

    Zainstaluj
    make: *** Nie ma reguły tworzenia celu "instalacji". Wysoki.

    A potem mówisz „my uruchamiamy program”
    Kod:
    Nazwa programu

    Skąd mam wiedzieć, jaka jest nazwa, a która jest wykonywalna? Jest to bardzo abstrakcyjne, być może przyjmujesz za pewnik kilka rzeczy, które będziesz wiedzieć, ale ci, którzy przyjdą zobaczyć samouczek, mogą nie wiedzieć

    1.    Damian powiedział

      asdf.

      Badałem i błąd, który pojawia się podczas podawania ./configure jest spowodowany brakiem programu do kompilacji (jak moglibyśmy skompilować bez programu, który to robi?). polecenie instalacji kompilatora do wprowadzenia to:

      sudo aptitude zainstaluj build-essential

      po zainstalowaniu przechodzimy do folderu, w którym znajduje się plik do zdekompresowania i wykonujemy:

      tar -zxvf nazwa_programu.tar.gz

      Następnie wchodzimy do rozpakowanego folderu programu, a jeśli tam wykonujemy ./configure, a następnie sudo make install

      Mam nadzieję, że pomogłem!

      Pozdrowienia.

      1.    Damian powiedział

        Przepraszam, zapomniałem wyjaśnić, w moim przypadku aby wykonać "make" i "sudo apt-get install program" Musiałem wejść do folderu "base" w rozpakowanym folderze, właśnie tam wziąłem polecenia kompilacji ( make) i install.

      2.    Carlos powiedział

        sprawia mi to problemy, gdy używam make, mówi, że nie znajduje niczego, co mógłby zbudować wysoko

  27.   Brenda powiedział

    Przepraszam, mam ten problem, uruchamiam to polecenie, pokazuje mi błąd i nie mogę utworzyć pliku makefile
    pulpit: ~ / Downloads $ tar -jxvf iReport-4.1.3.tar.bz2
    tar (child): iReport-4.1.3.tar.bz2: Nie można otworzyć: plik lub katalog nie istnieje
    tar (child): Błąd nie jest możliwy do odzyskania: wyjście teraz
    tar: dziecko zwróciło status 2
    tar: Błąd nie jest możliwy do odzyskania: wyjście teraz
    proszę =)

  28.   Aaron powiedział

    Dzień dobry przyjaciele,
    Jestem nowy w Linuksie, jednak miałem małą niedogodność, jeśli chodzi o rozpoznanie urządzenia, które jest cyfrowym czytnikiem biometrycznym, właśnie wyszukałem w Google i najwyraźniej go znalazłem, jednak pobrałem z rozszerzeniem .tar.gz, spróbuj Rozpakuj go w folderze, kilka plików zostało rozpakowanych, ale nie wiem, czy potem muszę coś innego uruchomić lub wkleić te rozpakowane pliki do folderu w systemie, nie wiem, jeśli mi pomożesz, aby dobrze uruchomić proces, byłbym bardzo wdzięczny, mam zainstalowany Linux Debian 7 na OS XNUMX. z góry pozdrawiam i bardzo dziękuję.

  29.   Rufo Lopez Retortillo powiedział

    Używam zarówno Linex 2011, jak i Linex 2013 i największym problemem, jaki napotykam podczas instalacji aplikacji, jest to, że nie są one ładowane na listę aplikacji w swojej grupie (grafika, biuro, multimedia itp.) I jeśli chcę stworzyć launcher to nie wiem gdzie Muszę znaleźć plik uruchamiania aplikacji. W którym folderze go tworzysz? Jak to zrobić?
    Gdy są instalowane z repozytoriów, programy uruchamiające są umieszczane w ich grupie, czy można to zrobić instalując plik tar.gz zgodnie z opisem w tej sieci?
    Dzięki za pomoc

  30.   Carlos powiedział

    Proszę o pomoc Mam inny system operacyjny o nazwie lps 1.5.5 i nie mogę zaktualizować programu

  31.   Carlos powiedział

    Proszę powtórzyć, że nie mogę rozpakować pliku tar.bz2, mam system operacyjny o nazwie lps 1.5.5 i nie wiem, jak go używać, pomóż mi, dziękuję ...

  32.   joscastel powiedział

    po rozpakowaniu pliku bz2 polecenie ./configure NIE działa, ponieważ NIE istnieje

    1.    joscastel powiedział

      Mam ubuntu 14.04LTS

  33.   wiesz powiedział

    Nie rozumiem tego, lennie .tar.gz idzie do kina, ale na ubuntu nie mam jak skompilować

  34.   Raul powiedział

    Jaki jest najlepszy system operacyjny? najlepszy system operacyjny jest taki, że rozwiązuje Twoje problemy.

  35.   Juanzito powiedział

    Ludzie używający Linuksa są niesamowici. Próbuję zainstalować ZinjaI na mojej nowo zainstalowanej dystrybucji LinuxMint przez co najmniej 5 godzin.
    Przechodzę przez wszystkie fora, które znajduję i na wszystkich (ale wszystkich, łącznie z tym), podają połowę informacji.
    Na przykład otworzyłem już terminal, ale nie mogę podać adresu miejsca, w którym znajduje się pobrany plik (czyli / home / user / Downloads / zinjai).
    Otrzymuję tylko błąd: „bash: cd: użytkownik: Nie ma takiego pliku lub katalogu.
    Rozumiem, że chcą rozpowszechniać i propagować użycie systemu operacyjnego, ale zaprzeczając informacjom lub wyjaśniając wszystko półśrodkami, jedyne, co osiągną, to to, że użytkownicy tacy jak ja, którzy mieli zdecydowany zamiar przejścia z Windowsa na Linuksa, poddają się i trzymaj się mojego W7, złego, ale użytecznego i wykonalnego.

    Twoje zdrowie…

    PS: Ile kosztował ich marny instalator z interfejsem graficznym? Dlaczego dziś w XXI wieku mieliby nadal używać czegoś podobnego do DOS-a do instalowania żałosnego małego programu? Chłopcy ... żeby zobaczyć, czy trochę dożyją ...

    1.    Ocelot powiedział

      cd ~ / Downloads / ścieżka skryptu instalacyjnego.

      Wskazówka: trzymaj się okien. Każdy system operacyjny jest przeznaczony dla jednego rodzaju osób. Windows jest stworzony dla ludzi, którzy wolą mieć wszystko na swoim miejscu i przy jak najmniejszym wysiłku. Są ludzie, którzy nie mogą lub nie chcą aspirować do czegoś więcej niż następny, następny, następny ... zaakceptować. To nie jest złe, po prostu musimy znać nasze ograniczenia i dostosować się do nich.

      Kolejna wskazówka: gdybyś tylko wiedział, ile rzeczy osiąga się z pokorą i używając dwóch słów typu „proszę”. To by cię zaskoczyło. Rób to często.

      1.    Knario powiedział

        Witam Linuxeros.
        Bardzo dziękuję za poradnik, pomógł mi zainstalować sterowniki do adaptera DWU-131 wifi.
        Mam małe wątpliwości, zrobiłem wszystko, jak mówią powyżej.
        Przejdź do ścieżki pliku, wykonaj tar…. a następnie Make, poczekaj, aż się zakończy, a następnie wykonaj instalację.
        Do tego kroku nie podałem żadnego błędu.
        Pytanie, które mam, to wiedzieć, czy mam już zainstalowane sterowniki, czy muszę zrobić coś innego.
        Juanzito ... daj szansę Linuxowi, niezależnie od dystrybucji, zdecydowałem się opuścić Windows 7 tydzień temu i jestem bardziej zagubiony niż piekło, hahaha, ale czytając tu i tam, znajdziesz informacje, które czasami są dla ciebie trudne Aby zrozumieć, wszystko zależy od wysiłku każdego, aby chcieć się nauczyć i wydostać z monopolu, w którym osadza Cię Windows (moim zdaniem).
        Jedna rzecz ... na terminalu linuxa liczą się wielkie litery. 😉

        PS: Po zainstalowaniu Kame muszę zrobić coś innego. ??

        Dziękuję bardzo.
        Bardzo dziękuję i pozdrawiam z Wysp Kanaryjskich.

      2.    Łuki powiedział

        a kim jesteś, aby powiedzieć użytkownikowi, aby wrócił do systemu X? Czy myślisz, że Richard Stallman?

        Zgadzam się z tym, co mówią w niektórych komentarzach, że najlepszy system operacyjny to taki, który system dostosowuje do użytkownika, a NIE na odwrót.

        Osobiście uwielbiam Windows .exe, ponieważ jak mówisz, nie musisz być geniuszem komputerowym, aby zainstalować coś bardzo prostego, na przykład prostego notatnika; w porównaniu tutaj w Linuksie, że jeśli nie ma go w dedykowanych aplikacjach, trzymasz się splątanego wieku z tabletem.

        Dostałem się tutaj szukając i organizując informacje do instalacji programów w Linuksie, ponieważ przygotowuję się do zainstalowania mennicy na produktywnej maszynie i wiem, że jeśli nie przygotuję, nie będę mógł niczego zainstalować, jeśli nie ma tego w repozytoriach.

        Teraz „proszę” wszyscy o to pytają, problem polega na tym, że nikt im nie odpowiada, dlatego czasami ludzie muszą być agresywni, więc nie mów bzdur.

      3.    pablo powiedział

        przepraszam ... ale zawsze broniłem używania wolnego i otwartego oprogramowania .. Używam komputerów od 30 lat .. i mam 37 lat ..
        problem w tym, że generalnie w Linuksie jest idealnie, aby ktokolwiek chciał lub powinien "wiedzieć" trochę więcej na temat czegoś prostego, takiego jak instalacja programu, aktualizacja czy cokolwiek ... Problem polega na tym, że wiele osób musi pracować i używać komputera (z dowolnym systemem operacyjnym) do wykonania określonego zadania ... więc nawet jeśli pobranie pliku .gz i zainstalowanie go zajmie 10 minut .. lub, jak to zwykle bywa, miną godziny .. są to minuty lub godziny braku możliwości wykonuj swoją pracę i wtedy prawie każdemu kończy się cierpliwość.
        W moim przypadku ... w pracy używam tylko Ubuntu, który jest domyślnie instalowany na komputerach PC, ponieważ jest to centrum naukowe, ale to sprawia, że ​​spędzam więcej godzin próbując zainstalować, a nawet rozwikłać, jak zrobić soft specyficzne (na przykład jestem geografem) to działa .. lub po każdej aktualizacji .. odzyskaj wszystkie narzędzia, ponieważ w połowie przestają działać w programie ..
        w tym konkretnym przypadku .. potrzebowałem zobaczyć webinar / forum w pracy .. a ponieważ używają java, brakuje mi znaku, że powinienem to zaktualizować .. ok .. przejdź do witryny java .. znajdź plik dla mojego systemu operacyjnego, 14.04 .. spójrz na "" instrukcje "" dotyczące pobierania i instalacji .. pobierz plik .gz i stamtąd ... rozpakuj ... ok, i ... mówi "zainstaluj" .. i voila .. tylko nic nie można zrobić z info o tym poście .. co mam zrobić, gdy rozpakuję plik «jre-blablabla of a lifetime.gz» ??

  36.   Carlos Fabian Ferra powiedział

    to nigdy nie działało dla mnie w żadnej dystrybucji

    1.    Yukiteru powiedział

      Jeśli to nie zadziałało, to czysta warstwa 8.

      1.    Jank Carlos powiedział

        Geniusz!

  37.   Ignacio Navarro powiedział

    Ponieważ używam go bardzo rzadko, za każdym razem, gdy tu wchodzę, aby zobaczyć, jak to się robi.
    Bardzo dziękuję za napisanie go i nieusuwanie go po tak długim czasie.

  38.   Ramon powiedział

    jak widać w synaptic, nowy zainstalowany pakiet, jeśli pokazuje najstarszy (stabilny zgodnie z dystrybucją) ¿?

  39.   Jorge powiedział

    po dotarciu do ./configure wszystko idzie do dupy nie ma nikogo, kto by dobrze wyjaśnił, kiedy mówi, że plik nie istnieje

    1.    Elvis powiedział

      Próbuję zainstalować wifi z broadcom ani ./configure, ani wykonać, ani sprawić, by instalacja działała.

      logiczna sekwencja to 1. wykonanie ./configure, ale najwyraźniej ta instrukcja odnosi się tylko do katalogu konfiguracji i wykonuje jakiś plik tam umieszczony, powinien znajdować się w pakiecie, który jest pobierany z Broadcom, ale w moim przypadku tego katalogu nie ma, to który ma wykonać configure to sprawdzenie i utworzenie pliku Makefile, ale podczas rozpakowywania pakietu zdaję sobie sprawę, że Makefile jest włączony, pozostałe dwie komendy make i make install nie działają dla mnie, to dlatego, że najnowsza wersja podstawowego systemu operacyjnego go nie obsługuje freya w oparciu o ubuntu 14.04

    2.    Alejandro TorMar powiedział

      Prawda? Ta metoda nigdy u mnie nie działała i zawsze wybieram pakiety .deb lub polecenia z terminala ... Szkoda, że ​​nie ma nic jasnego do zainstalowania .tar.gz

  40.   Elvis powiedział

    Próbuję zainstalować wifi z broadcom ani ./configure, ani wykonać, ani sprawić, by instalacja działała.

    logiczna sekwencja to 1. wykonanie ./configure, ale najwyraźniej ta instrukcja odnosi się tylko do katalogu konfiguracji i wykonuje jakiś plik tam umieszczony, powinien znajdować się w pakiecie, który jest pobierany z Broadcom, ale w moim przypadku tego katalogu nie ma, to który ma wykonać configure to sprawdzenie i utworzenie pliku Makefile, ale podczas rozpakowywania pakietu zdaję sobie sprawę, że Makefile jest włączony, pozostałe dwie komendy make i make install nie działają dla mnie, to dlatego, że najnowsza wersja podstawowego systemu operacyjnego go nie obsługuje freya w oparciu o ubuntu 14.04

  41.   Alejandro TorMar powiedział

    Prawda? Ta metoda nigdy mi nie pomogła i zawsze wybieram pakiety .deb lub polecenia z terminala ... Szkoda, że ​​nie ma nic jasnego do zainstalowania .tar.gz

  42.   Alejandro TorMar powiedział

    Dlaczego ten samouczek nie jest aktualizowany? A może robią nowy?
    Wszyscy tu narzekają, że im to nie służyło i ma już swoje lata….

  43.   HEKTOR MATOS powiedział

    Witam, potrzebuję pomocy przy instalacji pakietów .. Mam Ubuntu w wersji 15 .. coś .. Chcę zainstalować wtyczkę adobe flash, ponieważ jest to bardzo przydatne, ponieważ za pomocą Adobe Flash mogę wejść na niektóre strony internetowe, na których można zobaczyć Telewizja, a także słuchaj radia. Proszę, prześlij mi samouczek krok po kroku. Nie mam dużego doświadczenia w linii poleceń, to znaczy używam terminala.

    Pomocy… dzięki

  44.   Abraham powiedział

    Witam wszystkich !!! Po przeczytaniu prawie wszystkich komentarzy szukałem instrukcji linux i voila ..
    Przyjacielu OCELOTE, przyjmij tę krytykę, z mojego skromnego i nieistotnego punktu widzenia, którym dzielę się z milionami użytkowników systemu Windows:

    Bardzo chciałbym przejść na Linuksa! ale wielu z nas uważa to za niemożliwe, dlaczego? możesz się zastanawiać ... bo dla mnie komputer jest środkiem do wykonywania pracy, to nie koniec ... Nie wiem, czy rozumiesz, czego wszyscy chcemy (a JUANZITO dobrze Ci powiedział) to stabilny system operacyjny, który nam pomaga rozwijać naszą pracę, nie mam czasu uczyć się, jak robić tak podstawowe rzeczy, jak zainstalować program z konsoli, wszystko powinno być bardziej intuicyjne i łatwiejsze ... Jako biznesmen powiem Ci, że zarządzanie, które prowadzisz z Linuksem jest katastrofalne, zamiast pomagać ludzie, którzy chcą zmienić system operacyjny, nalegasz, aby ludzie kłamiali z rzeczami, które ich nie interesują, i sam blokujesz zmianę ... Ten, kto zaprogramował w assemblerze, java, javascript, html, php i xbase, mówi ci tak ... i dotyka mojego nosa, że ​​muszę otwierać konsolę dla prawie wszystkiego.

    pozdrowienia

  45.   zdezorientować powiedział

    Stamina DOS 6.22 stary !!

  46.   erput powiedział

    Skierować cię na studia i zostawić to gówno wuendos, które działa dla niektórych, ponieważ wkładają je jako klucze, nie płacą im, aby dodać zniewagę do obrażeń tych, którzy zrobili te klucze, są geniuszami Linuksa i powinni, dlatego Jesteś jak głupi dyskutujący o mamahuevadach, przed biznesmenami, którym im mówię, płać im licencję, a jeśli chcą stajni, to wygrywają czas, co do cholery robią, pisząc idiotów w tych tutosach. To jest dla tych z nas, którzy lubią linuksowych idiotów… .. finger po as

  47.   GENND powiedział

    Nie jest to zbyt jasne dla początkujących użytkowników. Na przykład mówisz:
    «Najpierw przechodzimy do folderu, w którym mamy plik, jeśli folder zawiera kilka słów, musimy je umieścić z„ ”lub jeśli nie szuka folderów z każdym słowem» ...
    Każdy użytkownik wejdzie do tych folderów za pomocą „eksploratora” i zmieni nazwę bez znajomości nazwy folderu, który go zawiera, w cudzysłowie. To z punktu widzenia, że ​​to czytasz, «z punktu widzenia początkującego użytkownika.

    Następnie wstawiasz:
    folder cd, w którym znajduje się plik

    cd "folder, w którym znajduje się plik"
    Od tego momentu użytkownik już poszedł w chmury lub gdziekolwiek, bo od teraz gubi się na płycie CD z inicjałami, nie wyjaśniasz, jak się tam dostaniesz, przykład krok po kroku, zaczynając od tego wszystkiego ... to najpierw otwarcie konsoli .

  48.   GENND powiedział

    Dla HECTOR MATOS: Wtyczki adobe, java i innych nie trzeba wykonywać ręcznie, wystarczy na chwilę być połączonym z Internetem, aw menedżerze aktualizacji pojawi się automatycznie, stamtąd zostanie automatycznie zaktualizowany, aby Firefox Opera, a reszta niezależnie ... normalnie launcher znajduje się obok zegara na pasku startowym, w kilku dystrybucjach widziałem, że domyślnie tam był, nie wiem czy tak będzie we wszystkich.

  49.   max powiedział

    Prosimy o bardziej precyzyjne sformułowanie, brakuje wielu informacji

  50.   Maryja powiedział

    spróbuj zaktualizować Pythona do 3.x, a wykonanie polecenia make install po zakończeniu mówi mi, że wystąpił błąd:
    zipimport.zipimporterror nie może zdekompresować danych. zlib niedostępny make *** błąd instalacji

  51.   f_leonar powiedział

    Po rozpakowaniu do uruchomienia ./configure konieczne jest wejście do rozpakowanego katalogu, w przeciwnym razie to nie zadziała. Używam KDE i graficznie wszedłem do folderu, który rozpakowałem i tam otworzyłem terminal w celu wykonania polecenia „make”, ale to nie działa ...

  52.   anonimowy powiedział

    Mam pytanie, rozumiem:
    manolo @ mxlolo-satellite-c655d: ~ / Desktop $ ./configure –help
    bash: ./configure: Nie ma takiego pliku lub katalogu
    co robię…?

  53.   KATSODA powiedział

    Wszystko dobrze, dopóki nie wyszedł ./configure piłek.
    CO PRZEZ TO ROZUMIESZ !? Nie wyjaśniają tego, po prostu chcę zainstalować drugie pieprzone życie xddd
    «»»katsoda@katsoda-PC:~/Downloads$ ‘/home/katsoda/Downloads/Second_Life_5_0_4_325124_i686’/configure
    bash: / home / katsoda / Downloads / Second_Life_5_0_4_325124_i686 / configure: Plik lub katalog nie istnieje »» »
    Lepiej pobieram Windowsa 10 i biorę dupę. (?)
    Więc nie. Ale to jedna z rzeczy, których nienawidzę w Linuksie. Instalowanie i modlenie się, aby twoje ulubione programy były tutaj kompatybilne, jest sporym wyzwaniem.

    1.    Gatoo_ powiedział

      Nie przeszkadza, panowie, ale twórca samouczka doskonale wyjaśnia, co zrobić, jeśli pojawi się błąd z ./configure. Wystarczy skończyć czytać resztę tutoriala (czyli 4 linie).

      Uważam za niewiarygodne, że tak wiele osób narzeka, że ​​nie wyjaśnia rzeczy, kiedy nawet nie przestałeś czytać.

  54.   piątek powiedział

    Cóż, oficjalnie stwierdzam, że jestem niekompetentny do tego typu plików. Próbuję zainstalować Javę i tak właśnie jest;
    javier @ loft: ~ / JAVA / jre1.8.0_151 $ tar -zxvf jre-8u151-linux-x64.tar.gz
    tar (child): jre-8u151-linux-x64.tar.gz: Nie można otworzyć: plik lub katalog nie istnieje
    tar (child): Błąd nie jest możliwy do odzyskania: wyjście teraz
    tar: dziecko zwróciło status 2
    tar: Błąd nie jest możliwy do odzyskania: wyjście teraz

  55.   Roger deku powiedział

    w linux ubuntu 18.04.01 lts wystarczy wpisać ./nazwa programu w tym samym folderze po rozpakowaniu go i voila !!!

  56.   Jia powiedział

    Bardzo dobrze, to było bardzo pomocne.

  57.   Emerson Goncalez powiedział

    w systemie av Linux to nie działa
    Nie wiem, co jeszcze mnie, albo za każdym razem, gdy instalujesz dystrybucję, zaczynasz drogę krzyżową
    widzisz, jak działa klawiatura

  58.   Jose Felix Paisano Morales powiedział

    Witam wszystkich, używam Ubunto 20 i sprawdziłem tę stronę, aby zainstalować skaner Epson L4150 (pobrałem dyski z http://support.epson.net/linux/en/imagescanv3.php?version=1.3.38#ubuntu).
    Postępowałem zgodnie z instrukcjami i użyłem „tar -zxvf filename.tar.gz”, podczas rozpakowywania użyłem
    „$ cd imagescan-bundle-ubuntu-20.04-3.63.0.x64.deb”, czyli utworzony folder.
    W folderze, którego użyłem „./install.sh”, co przypomina użycie „./configure”, system poprosił mnie o podanie hasła i wszystko zostało zainstalowane poprawnie.
    Wypróbowałem mój skaner i było świetnie, dziękuję za udzielenie mi wskazówek, mogłem korzystać ze skanera